Page MenuHomePhabricator

pygments is run even on very large changesets that won't be shown
Closed, DuplicatePublic

Description

Giant changes get a nice shield that says:

This file has a very large number of changes (19,434 lines).

But when this happens, it appears that we're still running pygments over the entire file, only to throw away the results. Can this be avoided? (Right now I'm looking at a diff that takes over a minute to run pygments over.)

Event Timeline

sophiebits raised the priority of this task from to Needs Triage.
sophiebits updated the task description. (Show Details)
sophiebits added a project: Differential.
sophiebits added a subscriber: sophiebits.

There's some discussion that I'll link up here, but basically the way we degrade large changesets is very coarse and should be much more fine-grained, and include things like this.

epriestley triaged this task as Normal priority.May 16 2014, 12:59 PM
epriestley added a subscriber: joshuaspence.
epriestley edited this Maniphest Task.May 25 2014, 2:16 PM
epriestley closed this task as a duplicate.Aug 22 2014, 8:08 PM

✘ Merged into T5644.